<template>
    <footer class="footer">
        <base-container>
            <div class="footer__content">
                <div class="footer__left-block">
                    <div class="copyright">
                        {{ $t('footer.copyright', { currentYear: getFullYear }) }}
                    </div>
                    <footer-language />
                </div>
                <div class="footer__right-block">
                    <footer-nav />
                </div>
            </div>
        </base-container>
    </footer>
</template>

<script>
export default {
    name: 'template-footer',
    components: {
        FooterLanguage: () => import('components/templates/footer/FooterLanguage'),
        FooterNav: () => import('components/templates/footer/FooterNav')
    },
    computed: {
        getFullYear() {
            return new Date().getFullYear();
        }
    }
};
</script>

<style lang="sass">
    @import '~blocks/copyright';
    @import '~blocks/footer';
</style>
